GET /serviceengine/{uuid}/placement/summary/

GET /serviceengine/{uuid}/placement/summary/

/serviceengine/{uuid}/placement/summary/

Request
URI
GET
https://{api_host}/api/serviceengine/{uuid}/placement/summary
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeResourceSummary of type(s) application/json
{
    "az": "string",
    "cloud_uuid": "string",
    "del_pending": false,
    "disconnected": false,
    "enable_state": "string",
    "gateway_up": false,
    "max_ips_per_vnic": 0,
    "max_vnics": 0,
    "num_vnics": 0,
    "num_vnics_avi_internal": 0,
    "num_vnics_del_pending": 0,
    "num_vnics_disabled": 0,
    "num_vnics_disconnected": 0,
    "num_vs_pending": 0,
    "num_vs_placed": 0,
    "online": false,
    "placement_ineligible_reason": "string",
    "placement_ineligible_reason_str": "string",
    "placement_ineligible_timestamp": {
        "secs": 0,
        "usecs": 0
    },
    "se_group_uuid": "string",
    "se_grp_reboot_pending": false,
    "sufficient_memory": false,
    "upgrading": false,
    "uuid": "string",
    "vnic_op": {
        "cc_vnic_op_success": false,
        "cookie": "string",
        "macs": [
            "string"
        ],
        "oper_start_ticks": 0,
        "oper_start_time": "string",
        "se_uuid": "string",
        "se_vm_name": "string",
        "virtual_network_ids": [
            "string"
        ],
        "vnic_op_infra": "string",
        "vnic_op_type": "string",
        "vrf_uuids": [
            "string"
        ]
    },
    "warm_starting": false
}
string
az
Optional

Availability zone. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cloud_uuid
Optional

Cloud UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
del_pending
Optional

Deletion pending. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
disconnected
Optional

Disconnected. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
enable_state
Optional

Enable state. Enum options - SE_STATE_ENABLED, SE_STATE_DISABLED_FOR_PLACEMENT, SE_STATE_DISABLED, SE_STATE_DISABLED_FORCE, SE_STATE_DISABLED_WITH_SCALEIN, SE_STATE_DISABLED_NO_TRAFFIC, SE_STATE_DISABLED_FORCE_WITH_MIGRATE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
gateway_up
Optional

Gateway up. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_ips_per_vnic
Optional

Max IPs per vNIC. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_vnics
Optional

Max vNICs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vnics
Optional

Number of vNICs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vnics_avi_internal
Optional

Number of Avi Internal vNICs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vnics_del_pending
Optional

Number of deletion pending vNICs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vnics_disabled
Optional

Number of disabled vNICs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vnics_disconnected
Optional

Number of disconnected vNICs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vs_pending
Optional

Count of VSs pending placement on this SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_vs_placed
Optional

Count of VSs placed on this SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
online
Optional

Online. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
placement_ineligible_reason
Optional

Placement ineligible reason. Enum options - PLACEMENT_INELIGIBLE_UPGRADE_IN_PROGRESS, PLACEMENT_INELIGIBLE_SE_GRP_UPGRADE_IN_PROGRESS, PLACEMENT_INELIGIBLE_CLOUD_NOT_READY, PLACEMENT_INELIGIBLE_CLOUD_API_NOT_READY, PLACEMENT_INELIGIBLE_VS_ELIGIBLE, PLACEMENT_INELIGIBLE_MULTIPLE_SE_CRASHES, PLACEMENT_INELIGIBLE_SPAWN_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_SPAWN_FAIL_UNRECOVERABLE, PLACEMENT_INELIGIBLE_BOOTUP_FAIL, PLACEMENT_INELIGIBLE_VNIC_FAIL, PLACEMENT_INELIGIBLE_VNIC_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_VNIC_IP_FAIL, PLACEMENT_INELIGIBLE_ATTACH_IP_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_ATTACH_IP_FAIL_UNRECOVERABLE, PLACEMENT_INELIGIBLE_VIP_MULTIPLE_NETWORKS, PLACEMENT_INELIGIBLE_SRVR_MULTIPLE_NETWORKS, PLACEMENT_INELIGIBLE_NO_VIP_NETWORK, PLACEMENT_INELIGIBLE_NO_SRVR_NETWORK, PLACEMENT_INELIGIBLE_VIP_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_SRVR_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_BGP_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_OTHER_SHARED_VIP_VS_PENDING, PLACEMENT_INELIGIBLE_OTHER_ACTIVE_STANDBY_VS_PENDING, PLACEMENT_INELIGIBLE_CONCURRENT_SE_CREATION_LIMIT, PLACEMENT_INELIGIBLE_SE_ELIGIBLE, PLACEMENT_INELIGIBLE_SE_DISABLED, PLACEMENT_INELIGIBLE_SE_DOWN, PLACEMENT_INELIGIBLE_SE_GATEWAY_DOWN, PLACEMENT_INELIGIBLE_SE_DISCONNECTED, PLACEMENT_INELIGIBLE_SE_MAX_VS_PER_SE_LIMIT, PLACEMENT_INELIGIBLE_SE_DEL_PENDING, PLACEMENT_INELIGIBLE_SE_GRP_REBOOT_PENDING, PLACEMENT_INELIGIBLE_NO_FRONTEND_REACH, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH, PLACEMENT_INELIGIBLE_NO_FRONTEND_BACKEND_REACH, PLACEMENT_INELIGIBLE_MAX_VNIC_PER_SE_LIMIT, PLACEMENT_INELIGIBLE_MAX_IPS_PER_VNIC_LIMIT, PLACEMENT_INELIGIBLE_AZ_MISMATCH, PLACEMENT_INELIGIBLE_VNIC_DISCONNECTED, PLACEMENT_INELIGIBLE_VNIC_DISABLED, PLACEMENT_INELIGIBLE_VNIC_DEL_PENDING, PLACEMENT_INELIGIBLE_GCP_VNIC_NOT_ETH0, PLACEMENT_INELIGIBLE_SNI_CONSTRAINTS, PLACEMENT_INELIGIBLE_ACTIVE_STANDBY_CONSTRAINTS, PLACEMENT_INELIGIBLE_SHARED_VIP_CONSTRAINTS, PLACEMENT_INELIGIBLE_OTHER_VIP_ON_VS_PENDING, PLACEMENT_INELIGIBLE_NOT_ALL_BGP_PEERS_REACHABLE_VIP, PLACEMENT_INELIGIBLE_NO_BGP_PEER_REACHABLE_VIP, PLACEMENT_INELIGIBLE_NOT_ALL_BGP_PEERS_REACHABLE_SNAT, PLACEMENT_INELIGIBLE_NO_BGP_PEER_REACHABLE_SNAT, PLACEMENT_INELIGIBLE_SE_HOST_NO_NETWORK_CONNECTIVITY, PLACEMENT_INELIGIBLE_INSUFFICIENT_VNIC_SLOTS, PLACEMENT_INELIGIBLE_EXCLUDED_IP_CANDIDATE, PLACEMENT_INELIGIBLE_CON_IDLE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_CON_IDLE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_IP_CANDIDATE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_IP_CANDIDATE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_HOST_DISCONNECTED, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DEL_PENDING, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DISCONNECTED, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DISABLED. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
placement_ineligible_reason_str
Optional

Placement ineligible reason string. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
placement_ineligible_timestamp
Optional

placement_ineligible_timestamp

string
se_group_uuid
Optional

SE group UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
se_grp_reboot_pending
Optional

SE group reboot pending. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
sufficient_memory
Optional

Sufficient memory. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
upgrading
Optional

Upgrading. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

SE UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
vnic_op
Optional

vnic_op

boolean
warm_starting
Optional

Warm starting. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/placement/summary
                
Service Engine Operations
GET
GET /serviceengine
GET
GET /serviceengine/{uuid}
PUT
PUT /serviceengine/{uuid}
PATCH
PATCH /serviceengine/{uuid}
DELETE
DELETE /serviceengine/{uuid}
POST
POST /serviceengine/{uuid}/reboot
POST
POST /serviceengine/{uuid}/forcedelete
POST
POST /serviceengine/{uuid}/switchover
POST
POST /serviceengine/clear
GET
GET /serviceengine/{uuid}/runtime/
GET
GET /serviceengine/{uuid}/runtime/detail/
GET
GET /serviceengine/{uuid}/internal/
GET
GET /serviceengine/{uuid}/ipstat/
GET
GET /serviceengine/{uuid}/arpstat/
GET
GET /serviceengine/{uuid}/icmpstat/
GET
GET /serviceengine/{uuid}/mbufstats/
GET
GET /serviceengine/{uuid}/mallocstats/
GET
GET /serviceengine/{uuid}/shmallocstats/
GET
GET /serviceengine/{uuid}/seassertstats/dp/
GET
GET /serviceengine/{uuid}/seassertstats/ag/
GET
GET /serviceengine/{uuid}/sevshbstats/
GET
GET /serviceengine/{uuid}/sevssplacement/
GET
GET /serviceengine/{uuid}/cpu/
GET
GET /serviceengine/{uuid}/cpu/detail/
GET
GET /serviceengine/{uuid}/meminfo/
GET
GET /serviceengine/{uuid}/interface/
GET
GET /serviceengine/{uuid}/systeminfo/
GET
GET /serviceengine/{uuid}/hugepageinfo/
GET
GET /serviceengine/{uuid}/bgp/
GET
GET /serviceengine/{uuid}/bgp/debug/
GET
GET /serviceengine/{uuid}/bgp/advertised_routes/
GET
GET /serviceengine/{uuid}/bgp/peer_status/
GET
GET /serviceengine/{uuid}/bgp/peer_info/
GET
GET /serviceengine/{uuid}/bgp/running_config/
GET
GET /serviceengine/{uuid}/bgp/peer_state/
GET
GET /serviceengine/{uuid}/bfd/running_config/
GET
GET /serviceengine/{uuid}/bfd/session_status/
GET
GET /serviceengine/{uuid}/interfacesummary/
GET
GET /serviceengine/{uuid}/interface/lacp/
GET
GET /serviceengine/{uuid}/lldp/
GET
GET /serviceengine/{uuid}/route/
GET
GET /serviceengine/{uuid}/ip6route/
GET
GET /serviceengine/{uuid}/arptable/
GET
GET /serviceengine/{uuid}/httpstats/
GET
GET /serviceengine/{uuid}/seruminsertionstats/
GET
GET /serviceengine/{uuid}/selogstats/
GET
GET /serviceengine/{uuid}/seauthstats/
GET
GET /serviceengine/{uuid}/vnicdb/
GET
GET /serviceengine/{uuid}/vnicdbhistory/
GET
GET /serviceengine/{uuid}/graphdb/
GET
GET /serviceengine/{uuid}/seagent/
GET
GET /serviceengine/{uuid}/resourcemap/
GET
GET /serviceengine/{uuid}/consistenthash/
GET
GET /serviceengine/{uuid}/appmap/
GET
GET /serviceengine/{uuid}/shardclientevents/
GET
GET /serviceengine/{uuid}/qatinfo/
GET
GET /serviceengine/{uuid}/rteringstat/
GET
GET /serviceengine/{uuid}/sehmprobedisable/
GET
GET /serviceengine/{uuid}/flowtablestat/
GET
GET /serviceengine/{uuid}/flowtable/
GET
GET /serviceengine/{uuid}/vshash/
GET
GET /serviceengine/{uuid}/flowtable_remote/
GET
GET /serviceengine/{uuid}/tcp-flows/
GET
GET /serviceengine/{uuid}/sctp-flows/
GET
GET /serviceengine/{uuid}/tcp-flows/detail/
GET
GET /serviceengine/{uuid}/sctp-flows/detail/
GET
GET /serviceengine/{uuid}/metrics/
GET
GET /serviceengine/{uuid}/metrics/detail/
GET
GET /serviceengine/{uuid}/metrics/debug/
GET
GET /serviceengine/{uuid}/metrics/debug/summary/
GET
GET /serviceengine/{uuid}/dosstat/
GET
GET /serviceengine/{uuid}/memdist/
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mbuf/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl_small/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/sefault/clear
GET
GET /serviceengine/{uuid}/placement/
GET
GET /serviceengine/{uuid}/reservedvs/
GET
GET /serviceengine/{uuid}/microservice/
GET
GET /serviceengine/{uuid}/ndtable/
GET
GET /serviceengine/{uuid}/ip6stat/
GET
GET /serviceengine/{uuid}/icmp6stat/
GET
GET /serviceengine/{uuid}/natstat/
GET
GET /serviceengine/{uuid}/nat-flows/
GET
GET /serviceengine/{uuid}/network-service/
GET
GET /serviceengine/{uuid}/natpolicystats/
GET
GET /serviceengine/{uuid}/vrf-ip-info/
GET
GET /serviceengine/{uuid}/ratelimiting/rl/internal/
GET
GET /serviceengine/{uuid}/ratelimiting/msf/internal/
GET
GET /serviceengine/{uuid}/routestat/
GET
GET /serviceengine/{uuid}/route-flows/
GET
GET /serviceengine/{uuid}/objsync/
GET
GET /serviceengine/{uuid}/resolverdb/
GET
GET /serviceengine/{uuid}/resolverdbsummary/
GET
GET /serviceengine/{uuid}/seagent_sedatastore_download_fail_obj_list/
GET
GET /serviceengine/{uuid}/botuacacheruntime/
GET
GET /serviceengine/{uuid}/botuacachestatsruntime/
GET
GET /serviceengine/{uuid}/placement/summary/
GET
GET /serviceengine/{uuid}/placement/detail/
GET
GET /serviceengine/{uuid}/adaptiveevents/
GET
GET /serviceengine/{uuid}/dpmetrics/
GET
GET /serviceengine/{uuid}/objsync_stats/
GET
GET /serviceengine/{uuid}/diameter/connections/
GET
GET /serviceengine/{uuid}/dump_objsync_stats/
GET
GET /serviceengine/{uuid}/qatstats/
GET
GET /serviceengine/{uuid}/flowtablestat6/
GET
GET /serviceengine/{uuid}/selogagentstats/
GET
GET /serviceengine/{uuid}/selogagentoperstats/
GET
GET /serviceengine/{uuid}/selogagentcontrollerinterfacestats/
GET
GET /serviceengine/{uuid}/selogagentnetworkstreamstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/details/
GET
GET /serviceengine/{uuid}/nicinfo/